// MainFrm.h : CMainFrame クラスのインターフェイス
//


#pragma once
#include "SecndFrame.h"

#define WM_USER_NTFYICON	(WM_APP + 100)

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// 属性
public:

// 操作
public:
	void PushWindowStat();
	void PopWindowStat();

// オーバーライド
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);

// 実装
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


protected:  // コントロール バー用メンバ
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CReBar      m_wndReBar;
	CSecndFrame	m_secndFrame;
	UINT		m_explorerMessage;
	int			m_oldConnect;
	UINT		m_quitMessage;
	int			m_autoClose;

	void SetTaryIcon(int id,CString message = "");
	int	m_trayIconId;
	void DelTrayIcon();
	void AddTrayIcon();
	void TrayMenu();


// 生成された、メッセージ割り当て関数
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg LRESULT OnTrayIcon(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
public:
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnTasktrayRestore();
	afx_msg void OnTasktrayCansel();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnClose();
};


